var _ = function () {
    var about = new PlugIn.Action(function () {

        // log :: a -> IO ()
        const log = (...args) =>
            console.log(
                args
                .map(JSON.stringify)
                .join(' -> ')
            );

        // unlines :: [String] -> String
        function unlines(xs) {
            return xs.join('\n')
        };

        var strName = this.plugIn.displayName,
            strVersion = this.plugIn.version.versionString,
            strId = this.plugIn.identifier,
            lstLibraries = this.plugIn.libraries;

        return new Alert(
                "Tidy tree layout",
                unlines([
                    'Draft. ' + strVersion,
                    'Copyright Rob Trew 2017',
                    '',
                    'A draft plugin providing tidier (Reingold Tilford)',
                    'tree layouts in four axes, with cycling, toggling',
                    'and automatic magnet adjustments.',
                    '',
                    'Library:'
                ].concat(
                    lstLibraries.map(
                        x => '\t\t' + x.name + '\tVer. ' +
                        x.version.versionString
                    )
                ))
            )
            .show(function () {})
    });

    return (
        about.validate = function () {
            return true;
        },
        about
    );
}();
_;
